package com.fjhx.jpush.service.jpush;

import com.fjhx.jpush.entity.jpush.dto.JpushInfoDto;
import com.fjhx.jpush.entity.jpush.po.JpushInfo;
import com.ruoyi.common.core.service.BaseService;


/**
 * <p>
 * 极光推送用户与设备绑定信息 服务类
 * </p>
 *
 * @author
 * @since 2023-10-08
 */
public interface JpushInfoService extends BaseService<JpushInfo> {

    /**
     * 极光推送用户与设备绑定信息绑定
     */
    void userBinding(JpushInfoDto jpushInfoDto);

    /**
     * 极光推送用户与设备绑定信息解绑
     */
    void userUnBinding(JpushInfoDto jpushInfoDto);
}
